# bdm::mlognorm Class Reference

Log-Normal random walk. More...

## Detailed Description

Log-Normal random walk.

Mean value, , is...

`#include <exp_family.h>`

List of all members.

## Public Member Functions
| mlognorm ()
| Constructor.
void | set_parameters (int size, double k)
| Set value of `k`.
void | condition (const vec &val)
void | from_setting (const Setting &set)
elognorm & | e ()
| access function to iepdf
vec | samplecond (const vec &cond)
| Reimplements samplecond using `condition()`.
double | evallogcond (const vec &val, const vec &cond)
| Reimplements evallogcond using `condition()`.
virtual vec | evallogcond_m (const mat &Dt, const vec &cond)
| Efficient version of evallogcond for matrices.
virtual vec | evallogcond_m (const Array< vec > &Dt, const vec &cond)
| Efficient version of evallogcond for Array<vec>.
virtual mat | samplecond_m (const vec &cond, int N)
| Efficient version of samplecond.
virtual string | to_string ()
| This method returns a basic info about the current instance.
virtual void | to_setting (Setting &set) const
| This method save all the instance properties into the Setting structure.
virtual void | validate ()
| This method TODO.
Access to attributes
const RV & | _rv () const
const RV & | _rvc () const
int | dimension () const
int | dimensionc ()
Connection to other objects
void | set_rvc (const RV &rvc0)
void | set_rv (const RV &rv0)
bool | isnamed ()
## Protected Member Functions
void | set_ep (epdf &iepdf)
| set internal pointer `ep` to point to given `iepdf`
void | set_ep (epdf *iepdfp)
| set internal pointer `ep` to point to given `iepdf`
## Protected Attributes
double | sig2
| parameter 1/2*sigma^2
vec & | mu
| access
elognorm | iepdf
| Internal epdf used for sampling.
int | dimc
| dimension of the condition
RV | rvc
| random variable in condition

## Member Function Documentation

void bdm::mlognorm::condition | ( | const vec & | cond | ) | `[inline, virtual]`

Update `iepdf` so that it represents this mpdf conditioned on `rvc` = cond This function provides convenient reimplementation in offsprings

Reimplemented from bdm::mpdf_internal< elognorm >.

References mu, and sig2.

Referenced by from_setting().

void bdm::mlognorm::from_setting | ( | const Setting & | set | ) | `[virtual]`

Create logNormal random Walk

from structure

                    class = 'mlognorm';
                    k   = 0.1;               // "variance" k
                    mu0 = 0.1;               // Initial value of mean
                    rv  = RV({'name'})       // description of RV
                    rvc = RV({'name'})       // description of RV in condition

Reimplemented from bdm::mpdf.

References condition(), bdm::UI::get(), and set_parameters().

The documentation for this class was generated from the following files:

- exp_family.h
- exp_family.cpp